<div class="row">
	<div class="col-sm-6 ">
		<div class="panel panel-default">
			<div class="panel-heading">User</div>
			<div class="panel-body">
				<div class="col-md-12">
					<form ng-submit="submit()" name="userForm" novalidate>

						<div class="form-group"
							ng-class="{ 'has-error': userForm.name.$invalid && userForm.name.$dirty }">
							<label for="name">Name:</label> <input type="text" required
								class="form-control" ng-model="appUser.name" id="name"
								name="name">
						</div>

						<div class="form-group"
							ng-class="{ 'has-error': userForm.username.$invalid && userForm.username.$dirty }">
							<label for="username">Username:</label> <input type="text"
								required class="form-control" ng-model="appUser.username"
								id="username" name="username">
						</div>

						<div class="form-group"
							ng-class="{ 'has-error': userForm.username.$invalid && userForm.username.$dirty }">
							<label for="role">Role:</label> <select required
								multiple="multiple" class="form-control"
								ng-model="appUser.roles" id="role" name="role">
								<option value="ROLE_ADMIN">Administrator</option>
								<option value="ROLE_USER">User</option>
						</select>
						</div>

						<div class="form-group"
							ng-class="{ 'has-error': userForm.password.$invalid && userForm.password.$dirty }">
							<label for="pwd">Password:</label> <input type="password"
								required class="form-control" id="pwd"
								ng-model="appUser.password" name="password">
						</div>
						<button type="submit" class="btn btn-default"
							ng-disabled="userForm.$invalid">{{buttonText}}</button>

						<div class="alert alert-info margin-top-5" ng-show="message">{{message}}</div>
					</form>
				</div>
			</div>
		</div>
	</div>
	<div class="col-sm-6">
		<div class="panel panel-default">
			<div class="panel-heading">
				Users
				<button type="button" class="btn btn-default btn-sm"
					ng-click="initAddUser()">
					<span class="glyphicon glyphicon-plus"></span> New User
				</button>
			</div>
			<div class="panel-body">

				<div class="alert alert-info margin-top-5" ng-show="deleteMessage">{{deleteMessage}}</div>
				<table class="table table-bordered">
					<thead>
						<tr>
							<th>#</th>
							<th>Name</th>
							<th>Username</th>
							<th>Role</th>
							<th></th>
							<th></th>
						</tr>
					</thead>
					<tbody>
						<tr ng-repeat="user in users">
							<td>{{$index+1}}</td>
							<td>{{user.name}}</td>
							<td>{{user.username}}</td>
							<td><span ng-repeat="role in user.roles">{{role}}<span
									ng-if="$index < (user.roles.length-1)">,</span>
							</span></td>
							<td><button type="button" class="btn btn-default btn-sm"
									ng-click="initEdit(user)">
									<span class="glyphicon glyphicon-edit"></span>
								</button></td>
							<td>
								<button type="button" class="btn btn-default btn-sm"
									ng-click="deleteUser(user)">
									<span class="glyphicon glyphicon-trash"></span>
								</button>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</div>
